display-vcsa(7)

NAME
display-vcsa : Display using Linux virtual console text device

SYNOPSIS
display-vcsa : [ [-noinput] | [ [-nokbd] [-nomouse] ] ] [-ascii]
                 [-physz=<sizex>,<sizey>[dpi]] [-shade] [<vcsa device>]

DESCRIPTION
Uses the Linux /dev/vcsa* devices to render text modes onto the console.

OPTIONS

-nokbd
    Do not open any libraries for keyboard input.

-nomouse
    Do not open any libraries for mouse input.

-noinput
    Same as both -nokbd and -nomouse.

-ascii
    The -ascii option limits the color mapping to only using ASCII characters. The default mode uses IBM special characters (the solid block mainly, and others when using -shade).

-shade
    The -shade option turns on shading mode, which changes the color mapping so that it chooses characters which emulate a shading effect. This makes a big improvement if using (some might say abusing :) the vcsa target for graphical purposes.

-physz=<sizex>,<sizey>[dpi]
    This option will provide a physical screen size for applications which wish to remain resolution independent. sizex, sizey are the x,y size of the screen in millimeters, unless the optional dpi string is affixed, in which case, they represent resolution in dots-per-inch.

vcsa device
    The filename of the device file, defaulting to /dev/vcsa which draws on the current virtual console.

FEATURES

•   No DirectBuffer support.

•   Unaccelerated.